MyGUI: MyGUI::SkinManager Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
MyGUI::SkinManager Class Reference

`#include <MyGUI_SkinManager.h>`

Inheritance diagram for MyGUI::SkinManager:
[legend]

## Public Member Functions
| SkinManager ()
void | initialise ()
void | shutdown ()
ResourceSkin * | getByName (const std::string &_name) const
bool | isExist (const std::string &_name) const
const std::string | getDefaultSkin () const
void | setDefaultSkin (const std::string &_value)
Public Member Functions inherited from MyGUI::MemberObsolete< SkinManager >
ResourceSkin * | getSkin (const std::string &_name) const
bool | load (const std::string &_file)
void | loadOldSkinFormat (xml::ElementPtr _node, const std::string &_file, Version _version, const std::string &_tag)

## Static Public Member Functions
static SkinManager & | getInstance ()
static SkinManager * | getInstancePtr ()
static const char * | getClassTypeName ()

## Detailed Description

Definition at line 21 of file MyGUI_SkinManager.h.

## Constructor & Destructor Documentation

## ◆ SkinManager()

MyGUI::SkinManager::SkinManager | ( |  | ) |

Definition at line 25 of file MyGUI_SkinManager.cpp.

## Member Function Documentation

## ◆ getByName()

ResourceSkin * MyGUI::SkinManager::getByName | ( | const std::string & | _name | ) | const

Get ResourceSkin by name

Definition at line 80 of file MyGUI_SkinManager.cpp.

## ◆ getClassTypeName()

static const char * MyGUI::SkinManager::getClassTypeName | ( |  | ) |
| static

## ◆ getDefaultSkin()

const std::string MyGUI::SkinManager::getDefaultSkin | ( |  | ) | const

Get default skin name. Default skin used when creating widget with skin that doesn't exist.

Definition at line 111 of file MyGUI_SkinManager.cpp.

## ◆ getInstance()

static SkinManager & MyGUI::SkinManager::getInstance | ( |  | ) |
| static

## ◆ getInstancePtr()

static SkinManager * MyGUI::SkinManager::getInstancePtr | ( |  | ) |
| static

## ◆ initialise()

void MyGUI::SkinManager::initialise | ( |  | ) |

Definition at line 33 of file MyGUI_SkinManager.cpp.

## ◆ isExist()

bool MyGUI::SkinManager::isExist | ( | const std::string & | _name | ) | const

Check if skin with specified name exist

Definition at line 99 of file MyGUI_SkinManager.cpp.

## ◆ setDefaultSkin()

void MyGUI::SkinManager::setDefaultSkin | ( | const std::string & | _value | ) |

Set default skin name. Default skin used when creating widget with skin that doesn't exist.

Definition at line 106 of file MyGUI_SkinManager.cpp.

## ◆ shutdown()

void MyGUI::SkinManager::shutdown | ( |  | ) |

Definition at line 50 of file MyGUI_SkinManager.cpp.

The documentation for this class was generated from the following files:

- MyGUI_SkinManager.h
- MyGUI_SkinManager.cpp